Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class OCAColorSpace

    java.lang.Object
      java.awt.color.ColorSpace
          org.apache.fop.util.OCAColorSpace

All Implemented Interfaces:
  java.io.Serializable

    public class OCAColorSpace

extends java.awt.color.ColorSpace

The OCA color space is a subset of RGB that includes a limited set of colors. The color value is specified with one unsigned binary component that specifies a named color using a two-byte value from the Standard OCA Color Value table.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.color.ColorSpace
`CS_CIEXYZ, CS_GRAY, CS_LINEAR_RGB, CS_PYCC, CS_sRGB, TYPE_2CLR, TYPE_3CLR, TYPE_4CLR, TYPE_5CLR, TYPE_6CLR, TYPE_7CLR, TYPE_8CLR, TYPE_9CLR, TYPE_ACLR, TYPE_BCLR, TYPE_CCLR, TYPE_CMY, TYPE_CMYK, TYPE_DCLR, TYPE_ECLR, TYPE_FCLR, TYPE_GRAY, TYPE_HLS, TYPE_HSV, TYPE_Lab, TYPE_Luv, TYPE_RGB, TYPE_XYZ, TYPE_YCbCr, TYPE_Yxy`

Constructor Summary
`protected` | `OCAColorSpace()`

Method Summary
`float[]` | `fromCIEXYZ(float[] colorvalue)`
`float[]` | `fromRGB(float[] rgbvalue)`
`float[]` | `toCIEXYZ(float[] colorvalue)`
`float[]` | `toRGB(float[] colorvalue)`

Methods inherited from class java.awt.color.ColorSpace
`getInstance, getMaxValue, getMinValue, getName, getNumComponents, getType, isCS_sRGB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCAColorSpace

    protected OCAColorSpace()

Method Detail

### fromCIEXYZ

    public float[] fromCIEXYZ(float[] colorvalue)

  Specified by:
    `fromCIEXYZ` in class `java.awt.color.ColorSpace`

### fromRGB

    public float[] fromRGB(float[] rgbvalue)

  Specified by:
    `fromRGB` in class `java.awt.color.ColorSpace`

### toCIEXYZ

    public float[] toCIEXYZ(float[] colorvalue)

  Specified by:
    `toCIEXYZ` in class `java.awt.color.ColorSpace`

### toRGB

    public float[] toRGB(float[] colorvalue)

  Specified by:
    `toRGB` in class `java.awt.color.ColorSpace`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.